package cz.cuni.mff.java.example02;

public class ThisUsage {
    int f;

    public ThisUsage(int f) {
        this.f = f;  // the f argument hides the f field
                     // we need to access the field via this
    }

    public void setF(int f) {
        this.f = f; // again the argument hides the field
    }

    public void setFinIncorrectWay(int f) {
        f = f; // WARNING - no effect
    }

    public void printF() {
        System.out.println(f);  // this is not necessary
                                // f is visible
    }

    public static void main(String[] args) {
        ThisUsage v = new ThisUsage(5);
        v.printF();
        v.setF(6);
        v.printF();
        v.setFinIncorrectWay(7);
        v.printF();
    }
}
